[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force XFree86 SVN commit: rev 640 - trunk/debian



Author: branden
Date: 2003-10-09 00:37:27 -0500 (Thu, 09 Oct 2003)
New Revision: 640

Modified:
   trunk/debian/shell-lib.sh
Log:
(cosmetic) Remove trailing semicolons from the ends of shell functions.  As
I understand it they aren't necessary for any POSIX-compliant shell.

- debian/shell-lib.sh


Modified: trunk/debian/shell-lib.sh
===================================================================
--- trunk/debian/shell-lib.sh	2003-10-09 04:24:24 UTC (rev 639)
+++ trunk/debian/shell-lib.sh	2003-10-09 05:37:27 UTC (rev 640)
@@ -44,12 +44,12 @@
 
 message () {
   # pretty-print messages of arbitrary length
-  echo "$*" | fold -s -w ${COLUMNS:-80} >&2;
+  echo "$*" | fold -s -w ${COLUMNS:-80} >&2
 }
 
 message_nonl () {
   # pretty-print messages of arbitrary length (no trailing newline)
-  echo -n "$*" | fold -s -w ${COLUMNS:-80} >&2;
+  echo -n "$*" | fold -s -w ${COLUMNS:-80} >&2
 }
 
 debugmsg () {
@@ -121,7 +121,7 @@
     /usr/include/X11) echo ../X11R6/include/X11 ;;
     /usr/lib/X11) echo ../X11R6/lib/X11 ;;
     *) internal_errormsg "ERROR: maplink() called with unknown path \"$1\"" ;;
-  esac;
+  esac
 }
 
 analyze_path () {
@@ -143,7 +143,7 @@
       fi
     done
     shift
-  done;
+  done
 }
 
 find_culprits () {
@@ -182,7 +182,7 @@
     fi
   else
     message "cannot search; $DPKG_INFO_DIR does not exist."
-  fi;
+  fi
 }
 
 # we require a readlink command or shell function
@@ -191,7 +191,7 @@
           "1.13.1 or later of the debianutils package."
   readlink () {
     # returns what symlink in $1 actually points to
-    perl -e '$l = shift; exit 1 unless -l $l; $r = readlink $l; exit 1 unless $r; print "$r\n"' $1;
+    perl -e '$l = shift; exit 1 unless -l $l; $r = readlink $l; exit 1 unless $r; print "$r\n"' $1
   }
 fi
 
@@ -310,7 +310,7 @@
         message "Note: $CMD not found; not updating $DIR font directory data."
       fi
     done
-  done;
+  done
 }
 
 remove_conffile_prepare () {



Reply to: